#!/bin/bash
#
#
# 	Script d'initialisation d'un dépot vMap versionné sous git
#	Initislise l'ensemble des dépendances sous forme de subtrees
#
#
#


APP_NAME="vmap"

# Récupère la liste des dépendances
. ./get_deps.sh

cd ..

# Vitis
echo "---- Push vitis ----"
{ # 'try' block
	git subtree push --prefix src/vitis "git@gitlab.veremes.net:Development/vitis_apps/sources/vitis.git" $vitisVersion
} || { # 'catch' block
	echo "could not push vitis"
}

# Modules
if [[ $depsCount > 0 ]]; then
	for (( i=1; i < $depsCount; i++ )); do
		if [ ${aDeps[$i, nature]} == "modules" ]; then
			echo "---- Push ${aDeps[$i, name]} ----"

			# Push le dépôt

			{ # 'try' block
				git subtree push --prefix src/${aDeps[$i, name]} "git@gitlab.veremes.net:Development/vitis_apps/sources/${aDeps[$i, name]}.git" ${aDeps[$i, version]}
			} || { # 'catch' block
			    echo "could not push ${aDeps[$i, name]}"
			}
		fi
	done
fi
