#!/bin/bash
#
#
# 	Script d'initialisation d'un dépot vMap versionné sous git
#	Initislise l'ensemble des dépendances sous forme de subtrees
#
#	Nécessite xmllint : sudo apt install libxml2-utils
#

# Récupère la liste des dépendances
. ./get_deps.sh

cd ..

if [[ $depsCount > 0 ]]; then

	# Vitis
	read -p "Reinit vitis? (y/n)" -n 1 -r
	echo "---- Reinit vitis ----"
	if [[ $REPLY =~ ^[Yy]$ ]]
	then
		if [ -d "src/vitis" ]; then
			git rm -r src/vitis
			git commit -m "Remove vitis subtree"
		fi
		git subtree add --prefix src/vitis -m "Add vitis subtree" "git@gitlab.veremes.net:Development/vitis_apps/sources/vitis.git" $vitisVersion
	fi

	read -p "Reinit conf? (y/n)" -n 1 -r
	echo "---- Reinit conf ----"
	if [[ $REPLY =~ ^[Yy]$ ]]
	then
		echo "---- Reinit conf ----"
		if [ -d "src/closure" ]; then
			git rm -r src/closure
			git commit -m "Remove closure subtree"
		fi
		git subtree add --prefix src/closure -m "Add closure subtree" "git@gitlab.veremes.net:Development/vitis_apps/sources/closure.git" master
	fi

	# Modules
	for (( i=1; i < $depsCount; i++ )); do
		if [ ${aDeps[$i, nature]} == "modules" ]; then

			read -p "Reinit ${aDeps[$i, name]}? (y/n)" -n 1 -r
			echo "---- Reinit ${aDeps[$i, name]} ----"
			if [[ $REPLY =~ ^[Yy]$ ]]
				then
				echo "---- Reinit ${aDeps[$i, name]} : ${aDeps[$i, version]}----"
				if [ -d "src/${aDeps[$i, name]}" ]; then
					git rm -r src/${aDeps[$i, name]}
					git commit -m "Remove ${aDeps[$i, name]} subtree"
				fi
				git subtree add --prefix src/${aDeps[$i, name]} -m "Add ${aDeps[$i, name]} subtree" "git@gitlab.veremes.net:Development/vitis_apps/sources/${aDeps[$i, name]}.git" ${aDeps[$i, version]}
			fi
		fi
	done
fi
